Bug 1007524 - [abrt] fusion-icon-0.1-5.fc19: __init__.py:52:_init:RuntimeError: could not open display
[abrt] fusion-icon-0.1-5.fc19: __init__.py:52:_init:RuntimeError: could not o...
Product: Fedora
Classification: Fedora
Component: fusion-icon (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-09-12 12:43 EDT by ali
Modified: 2015-02-17 12:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 12:10:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.43 KB, text/plain)
2013-09-12 12:43 EDT, ali
no flags Details
File: dso_list (61 bytes, text/plain)
2013-09-12 12:43 EDT, ali
no flags Details
File: environ (2.01 KB, text/plain)
2013-09-12 12:44 EDT, ali
no flags Details

  None (edit)
Description ali 2013-09-12 12:43:43 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/fusion-icon
executable:     /usr/bin/fusion-icon
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:52:_init:RuntimeError: could not open display

Traceback (most recent call last):
  File "/usr/bin/fusion-icon", line 58, in <module>
  File "/usr/lib/python2.7/site-packages/FusionIcon/interface.py", line 89, in choose_interface
  File "/usr/lib/python2.7/site-packages/FusionIcon/interface.py", line 35, in import_interface
    __import__('FusionIcon.interface_%s' %interface)
  File "/usr/lib/python2.7/site-packages/FusionIcon/interface_gtk/__init__.py", line 3, in <module>
    import main
  File "/usr/lib/python2.7/site-packages/FusionIcon/interface_gtk/main.py", line 23, in <module>
    import gtk
  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
RuntimeError: could not open display

Local variables in innermost frame:
sys: <module 'sys' (built-in)>
sys_path: ['/usr/bin', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gst-0.10', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info']

Potential duplicate: bug 881977
Comment 1 ali 2013-09-12 12:43:49 EDT
Created attachment 796949 [details]
File: backtrace
Comment 2 ali 2013-09-12 12:43:56 EDT
Created attachment 796950 [details]
File: dso_list
Comment 3 ali 2013-09-12 12:44:00 EDT
Created attachment 796951 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 14:49:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:10:01 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.